See 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/519/display/redirect?page=changes>

Changes:

[iemejia] [BEAM-9160] Update AWS SDK to support Pod Level Identity


------------------------------------------
[...truncated 16.38 KB...]
Collecting futures>=2.2.0; python_version < "3.2"
  Using cached futures-3.3.0-py2-none-any.whl (16 kB)
Collecting typing; python_version < "3.5"
  Using cached typing-3.7.4.1-py2-none-any.whl (26 kB)
Processing 
/home/jenkins/.cache/pip/wheels/91/95/75/19c98a91239878abbc7c59970abd3b4e0438a7dd5b61778335/scandir-1.10.0-cp27-cp27mu-linux_x86_64.whl
Collecting zipp>=0.5
  Using cached zipp-1.1.0-py2.py3-none-any.whl (4.6 kB)
Collecting configparser>=3.5; python_version < "3"
  Using cached configparser-4.0.2-py2.py3-none-any.whl (22 kB)
Installing collected packages: six, filelock, scandir, pathlib2, typing, 
importlib-resources, contextlib2, appdirs, zipp, configparser, 
importlib-metadata, virtualenv, pluggy, py, toml, tox, enum34, futures, grpcio, 
protobuf, grpcio-tools, future
Successfully installed appdirs-1.4.3 configparser-4.0.2 contextlib2-0.6.0.post1 
enum34-1.1.6 filelock-3.0.12 future-0.16.0 futures-3.3.0 grpcio-1.27.1 
grpcio-tools-1.14.2 importlib-metadata-1.5.0 importlib-resources-1.0.2 
pathlib2-2.3.5 pluggy-0.13.1 protobuf-3.11.3 py-1.8.1 scandir-1.10.0 six-1.14.0 
toml-0.10.0 tox-3.11.1 typing-3.7.4.1 virtualenv-20.0.1 zipp-1.1.0

> Task :sdks:python:sdist
setup.py:245: UserWarning: You are using Apache Beam with Python 2. New 
releases of Apache Beam will soon support Python 3 only.
  'You are using Apache Beam with Python 2. '
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/build/gradleenv/1922375555/local/lib/python2.7/site-packages/setuptools/dist.py>:476:
 UserWarning: Normalizing '2.20.0.dev' to '2.20.0.dev0'
  normalized_version,
beam_fn_api.proto: warning: Import google/protobuf/descriptor.proto but not 
used.
beam_fn_api.proto: warning: Import google/protobuf/wrappers.proto but not used.
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. 
Please upgrade your Python as Python 2.7 is no longer maintained. A future 
version of pip will drop support for Python 2.7. More details about Python 2 
support in pip, can be found at 
https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already satisfied: future==0.16.0 in 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/build/gradleenv/1922375555/lib/python2.7/site-packages>
 (0.16.0)
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
RefactoringTool: Skipping optional fixer: idioms
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
RefactoringTool: Skipping optional fixer: ws_comma
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
root: Generating grammar tables from 
/usr/lib/python2.7/lib2to3/PatternGrammar.txt
RefactoringTool: Refactored 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/beam_artifact_api_pb2.py>
RefactoringTool: Refactored 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/beam_artifact_api_pb2_grpc.py>
RefactoringTool: Refactored 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/beam_expansion_api_pb2.py>
RefactoringTool: Refactored 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/beam_expansion_api_pb2_grpc.py>
RefactoringTool: Refactored 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/beam_fn_api_pb2.py>
RefactoringTool: Refactored 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/beam_fn_api_pb2_grpc.py>
RefactoringTool: Refactored 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/beam_interactive_api_pb2.py>
RefactoringTool: Refactored 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/beam_job_api_pb2.py>
RefactoringTool: Refactored 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/beam_job_api_pb2_grpc.py>
RefactoringTool: Refactored 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/beam_provision_api_pb2.py>
RefactoringTool: Refactored 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/beam_provision_api_pb2_grpc.py>

> Task :sdks:python:test-suites:tox:py37:setupVirtualenv
Successfully installed appdirs-1.4.3 filelock-3.0.12 future-0.16.0 
grpcio-1.27.1 grpcio-tools-1.14.2 importlib-metadata-1.5.0 pluggy-0.13.1 
protobuf-3.11.3 py-1.8.1 six-1.14.0 toml-0.10.0 tox-3.11.1 virtualenv-20.0.1 
zipp-2.2.0

> Task :sdks:python:sdist
RefactoringTool: Refactored 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/beam_runner_api_pb2.py>
RefactoringTool: Refactored 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/beam_runner_api_pb2_grpc.py>
RefactoringTool: No changes to 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/endpoints_pb2.py>
RefactoringTool: Refactored 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/external_transforms_pb2.py>
RefactoringTool: Refactored 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/metrics_pb2.py>
RefactoringTool: No changes to 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/schema_pb2.py>
RefactoringTool: Refactored 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/standard_window_fns_pb2.py>
RefactoringTool: Files that were modified:
RefactoringTool: 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/beam_artifact_api_pb2.py>
RefactoringTool: 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/beam_artifact_api_pb2_grpc.py>
RefactoringTool: 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/beam_expansion_api_pb2.py>
RefactoringTool: 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/beam_expansion_api_pb2_grpc.py>
RefactoringTool: 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/beam_fn_api_pb2.py>
RefactoringTool: 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/beam_fn_api_pb2_grpc.py>
RefactoringTool: 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/beam_interactive_api_pb2.py>
RefactoringTool: 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/beam_job_api_pb2.py>
RefactoringTool: 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/beam_job_api_pb2_grpc.py>
RefactoringTool: 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/beam_provision_api_pb2.py>
RefactoringTool: 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/beam_provision_api_pb2_grpc.py>
RefactoringTool: 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/beam_runner_api_pb2.py>
RefactoringTool: 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/beam_runner_api_pb2_grpc.py>
RefactoringTool: 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/endpoints_pb2.py>
RefactoringTool: 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/external_transforms_pb2.py>
RefactoringTool: 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/metrics_pb2.py>
RefactoringTool: 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/schema_pb2.py>
RefactoringTool: 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/apache_beam/portability/api/standard_window_fns_pb2.py>
warning: no files found matching 'README.md'
warning: no files found matching 'NOTICE'
warning: no files found matching 'LICENSE'
warning: sdist: standard file not found: should have one of README, README.rst, 
README.txt, README.md


> Task :sdks:python:test-suites:tox:py2:lintPy27
py27-lint create: 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/test-suites/tox/py2/build/srcs/sdks/python/target/.tox-py27-lint/py27-lint>
py27-lint installdeps: -rbuild-requirements.txt, flake8==3.5.0
py27-lint inst: 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/test-suites/tox/py2/build/srcs/sdks/python/target/.tox-py27-lint/.tmp/package/1/apache-beam.tar.gz>

> Task :sdks:python:test-suites:tox:py37:lintPy37
py37-lint create: 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/test-suites/tox/py37/build/srcs/sdks/python/target/.tox-py37-lint/py37-lint>
py37-lint installdeps: -rbuild-requirements.txt, astroid<2.4,>=2.3.0, 
pycodestyle==2.3.1, pylint==2.4.3, isort==4.2.15, flake8==3.5.0
py37-lint inst: 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/test-suites/tox/py37/build/srcs/sdks/python/target/.tox-py37-lint/.tmp/package/1/apache-beam.tar.gz>

> Task :sdks:python:test-suites:tox:py2:lintPy27 FAILED
py27-lint installed: DEPRECATION: Python 2.7 reached the end of its life on 
January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer 
maintained. A future version of pip will drop support for Python 2.7. More 
details about Python 2 support in pip, can be found at 
https://pip.pypa.io/en/latest/development/release-process/#python-2-support,apache-beam==2.20.0.dev0,apipkg==1.5,atomicwrites==1.3.0,attrs==19.3.0,avro==1.9.1,certifi==2019.11.28,chardet==3.0.4,configparser==4.0.2,contextlib2==0.6.0.post1,crcmod==1.7,dill==0.3.1.1,docopt==0.6.2,enum34==1.1.6,execnet==1.7.1,fastavro==0.21.24,flake8==3.5.0,freezegun==0.3.14,funcsigs==1.0.2,future==0.16.0,futures==3.3.0,grpcio==1.27.1,grpcio-tools==1.14.2,hdfs==2.5.8,httplib2==0.12.0,idna==2.8,importlib-metadata==1.5.0,mccabe==0.6.1,mock==2.0.0,monotonic==1.5,more-itertools==5.0.0,nose==1.3.7,nose-xunitmp==0.4.1,numpy==1.16.6,oauth2client==3.0.0,packaging==20.1,pandas==0.24.2,parameterized==0.7.1,pathlib2==2.3.5,pbr==5.4.4,pluggy==0.13.1,protobuf==3.11.3,py==1.8.1,pyarrow==0.15.1,pyasn1==0.4.8,pyasn1-modules==0.2.8,pycodestyle==2.3.1,pydot==1.4.1,pyflakes==1.6.0,PyHamcrest==1.10.1,pymongo==3.10.1,pyparsing==2.4.6,pytest==4.6.9,pytest-forked==1.1.3,pytest-timeout==1.3.4,pytest-xdist==1.31.0,python-dateutil==2.8.1,pytz==2019.3,PyVCF==0.6.8,PyYAML==5.3,requests==2.22.0,requests-mock==1.7.0,rsa==4.0,scandir==1.10.0,six==1.14.0,tenacity==5.1.5,typing==3.7.4.1,typing-extensions==3.7.4.1,urllib3==1.25.8,wcwidth==0.1.8,zipp==1.1.0
py27-lint run-test-pre: PYTHONHASHSEED='2264563222'
py27-lint run-test-pre: commands[0] | python --version
Python 2.7.12
py27-lint run-test-pre: commands[1] | pip --version
ERROR: InvocationError for command 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/test-suites/tox/py2/build/srcs/sdks/python/target/.tox-py27-lint/py27-lint/bin/pip>
 --version (exited with code 2)
py27-lint run-test-post: commands[0] | 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/test-suites/tox/py2/build/srcs/sdks/python/scripts/run_tox_cleanup.sh>
___________________________________ summary ____________________________________
ERROR:   py27-lint: commands failed

> Task :sdks:python:test-suites:tox:py2:lintPy27_3
py27-lint3 create: 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/test-suites/tox/py2/build/srcs/sdks/python/target/.tox-py27-lint3/py27-lint3>
py27-lint3 installdeps: -rbuild-requirements.txt, pycodestyle==2.3.1, 
pylint==1.9.3, isort==4.2.15, flake8==3.5.0

> Task :sdks:python:test-suites:tox:py37:lintPy37 FAILED
py37-lint installed: 
apache-beam==2.20.0.dev0,apipkg==1.5,astroid==2.3.3,atomicwrites==1.3.0,attrs==19.3.0,avro-python3==1.9.1,certifi==2019.11.28,chardet==3.0.4,crcmod==1.7,dill==0.3.1.1,docopt==0.6.2,execnet==1.7.1,fastavro==0.21.24,flake8==3.5.0,freezegun==0.3.14,future==0.16.0,grpcio==1.27.1,grpcio-tools==1.14.2,hdfs==2.5.8,httplib2==0.12.0,idna==2.8,importlib-metadata==1.5.0,isort==4.2.15,lazy-object-proxy==1.4.3,mccabe==0.6.1,mock==2.0.0,more-itertools==8.2.0,nose==1.3.7,nose-xunitmp==0.4.1,numpy==1.18.1,oauth2client==3.0.0,packaging==20.1,pandas==0.24.2,parameterized==0.7.1,pbr==5.4.4,pluggy==0.13.1,protobuf==3.11.3,py==1.8.1,pyarrow==0.15.1,pyasn1==0.4.8,pyasn1-modules==0.2.8,pycodestyle==2.3.1,pydot==1.4.1,pyflakes==1.6.0,PyHamcrest==1.10.1,pylint==2.4.3,pymongo==3.10.1,pyparsing==2.4.6,pytest==4.6.9,pytest-forked==1.1.3,pytest-timeout==1.3.4,pytest-xdist==1.31.0,python-dateutil==2.8.1,pytz==2019.3,PyYAML==5.3,requests==2.22.0,requests-mock==1.7.0,rsa==4.0,six==1.14.0,tenacity==5.1.5,typed-ast==1.4.1,typing==3.7.4.1,typing-extensions==3.7.4.1,urllib3==1.25.8,wcwidth==0.1.8,wrapt==1.11.2,zipp==2.2.0
py37-lint run-test-pre: PYTHONHASHSEED='1128047709'
py37-lint run-test-pre: commands[0] | python --version
Python 3.7.3
py37-lint run-test-pre: commands[1] | pip --version
ERROR: InvocationError for command 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/test-suites/tox/py37/build/srcs/sdks/python/target/.tox-py37-lint/py37-lint/bin/pip>
 --version (exited with code 2)
py37-lint run-test-post: commands[0] | 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/test-suites/tox/py37/build/srcs/sdks/python/scripts/run_tox_cleanup.sh>
___________________________________ summary ____________________________________
ERROR:   py37-lint: commands failed

> Task :sdks:python:test-suites:tox:py37:mypyPy37
py37-mypy create: 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/test-suites/tox/py37/build/srcs/sdks/python/target/.tox-py37-mypy/py37-mypy>
py37-mypy installdeps: -rbuild-requirements.txt, mypy==0.730
py37-mypy inst: 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/test-suites/tox/py37/build/srcs/sdks/python/target/.tox-py37-mypy/.tmp/package/1/apache-beam.tar.gz>

> Task :sdks:python:test-suites:tox:py2:lintPy27_3
py27-lint3 inst: 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/test-suites/tox/py2/build/srcs/sdks/python/target/.tox-py27-lint3/.tmp/package/1/apache-beam.tar.gz>
py27-lint3 installed: DEPRECATION: Python 2.7 reached the end of its life on 
January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer 
maintained. A future version of pip will drop support for Python 2.7. More 
details about Python 2 support in pip, can be found at 
https://pip.pypa.io/en/latest/development/release-process/#python-2-support,apache-beam==2.20.0.dev0,apipkg==1.5,astroid==1.6.6,atomicwrites==1.3.0,attrs==19.3.0,avro==1.9.1,backports.functools-lru-cache==1.6.1,certifi==2019.11.28,chardet==3.0.4,configparser==4.0.2,contextlib2==0.6.0.post1,crcmod==1.7,dill==0.3.1.1,docopt==0.6.2,enum34==1.1.6,execnet==1.7.1,fastavro==0.21.24,flake8==3.5.0,freezegun==0.3.14,funcsigs==1.0.2,future==0.16.0,futures==3.3.0,grpcio==1.27.1,grpcio-tools==1.14.2,hdfs==2.5.8,httplib2==0.12.0,idna==2.8,importlib-metadata==1.5.0,isort==4.2.15,lazy-object-proxy==1.4.3,mccabe==0.6.1,mock==2.0.0,monotonic==1.5,more-itertools==5.0.0,nose==1.3.7,nose-xunitmp==0.4.1,numpy==1.16.6,oauth2client==3.0.0,packaging==20.1,pandas==0.24.2,parameterized==0.7.1,pathlib2==2.3.5,pbr==5.4.4,pluggy==0.13.1,protobuf==3.11.3,py==1.8.1,pyarrow==0.15.1,pyasn1==0.4.8,pyasn1-modules==0.2.8,pycodestyle==2.3.1,pydot==1.4.1,pyflakes==1.6.0,PyHamcrest==1.10.1,pylint==1.9.3,pymongo==3.10.1,pyparsing==2.4.6,pytest==4.6.9,pytest-forked==1.1.3,pytest-timeout==1.3.4,pytest-xdist==1.31.0,python-dateutil==2.8.1,pytz==2019.3,PyVCF==0.6.8,PyYAML==5.3,requests==2.22.0,requests-mock==1.7.0,rsa==4.0,scandir==1.10.0,singledispatch==3.4.0.3,six==1.14.0,tenacity==5.1.5,typing==3.7.4.1,typing-extensions==3.7.4.1,urllib3==1.25.8,wcwidth==0.1.8,wrapt==1.11.2,zipp==1.1.0
py27-lint3 run-test-pre: PYTHONHASHSEED='1046238878'
py27-lint3 run-test-pre: commands[0] | python --version
Python 2.7.12
py27-lint3 run-test-pre: commands[1] | pip --version
ERROR: InvocationError for command 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/test-suites/tox/py2/build/srcs/sdks/python/target/.tox-py27-lint3/py27-lint3/bin/pip>
 --version (exited with code 2)
py27-lint3 run-test-post: commands[0] | 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/test-suites/tox/py2/build/srcs/sdks/python/scripts/run_tox_cleanup.sh>
___________________________________ summary ____________________________________
ERROR:   py27-lint3: commands failed

> Task :sdks:python:test-suites:tox:py2:lintPy27_3 FAILED

> Task :sdks:python:test-suites:tox:py37:mypyPy37 FAILED
py37-mypy installed: 
apache-beam==2.20.0.dev0,avro-python3==1.9.1,cachetools==3.1.1,certifi==2019.11.28,chardet==3.0.4,crcmod==1.7,dill==0.3.1.1,docopt==0.6.2,fastavro==0.21.24,fasteners==0.15,future==0.16.0,google-api-core==1.16.0,google-apitools==0.5.28,google-auth==1.11.0,google-cloud-bigquery==1.17.1,google-cloud-bigtable==1.0.0,google-cloud-core==1.3.0,google-cloud-datastore==1.7.4,google-cloud-pubsub==1.0.2,google-cloud-spanner==1.13.0,google-resumable-media==0.4.1,googleapis-common-protos==1.51.0,grpc-google-iam-v1==0.12.3,grpcio==1.27.1,grpcio-gcp==0.2.2,grpcio-tools==1.14.2,hdfs==2.5.8,httplib2==0.12.0,idna==2.8,mock==2.0.0,monotonic==1.5,mypy==0.730,mypy-extensions==0.4.3,numpy==1.18.1,oauth2client==3.0.0,pbr==5.4.4,protobuf==3.11.3,pyarrow==0.15.1,pyasn1==0.4.8,pyasn1-modules==0.2.8,pydot==1.4.1,pymongo==3.10.1,pyparsing==2.4.6,python-dateutil==2.8.1,pytz==2019.3,requests==2.22.0,rsa==4.0,six==1.14.0,typed-ast==1.4.1,typing==3.7.4.1,typing-extensions==3.7.4.1,urllib3==1.25.8
py37-mypy run-test-pre: PYTHONHASHSEED='975602407'
py37-mypy run-test-pre: commands[0] | python --version
Python 3.7.3
py37-mypy run-test-pre: commands[1] | pip --version
ERROR: InvocationError for command 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/test-suites/tox/py37/build/srcs/sdks/python/target/.tox-py37-mypy/py37-mypy/bin/pip>
 --version (exited with code 2)
py37-mypy run-test-post: commands[0] | 
<https://builds.apache.org/job/beam_PreCommit_PythonLint_Cron/ws/src/sdks/python/test-suites/tox/py37/build/srcs/sdks/python/scripts/run_tox_cleanup.sh>
___________________________________ summary ____________________________________
ERROR:   py37-mypy: commands failed

FAILURE: Build completed with 4 failures.

1: Task failed with an exception.
-----------
* What went wrong:
Execution failed for task ':sdks:python:test-suites:tox:py2:lintPy27'.
> Process 'command 'sh'' finished with non-zero exit value 1

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug 
option to get more log output. Run with --scan to get full insights.
==============================================================================

2: Task failed with an exception.
-----------
* What went wrong:
Execution failed for task ':sdks:python:test-suites:tox:py37:lintPy37'.
> Process 'command 'sh'' finished with non-zero exit value 1

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug 
option to get more log output. Run with --scan to get full insights.
==============================================================================

3: Task failed with an exception.
-----------
* What went wrong:
Execution failed for task ':sdks:python:test-suites:tox:py2:lintPy27_3'.
> Process 'command 'sh'' finished with non-zero exit value 1

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug 
option to get more log output. Run with --scan to get full insights.
==============================================================================

4: Task failed with an exception.
-----------
* What went wrong:
Execution failed for task ':sdks:python:test-suites:tox:py37:mypyPy37'.
> Process 'command 'sh'' finished with non-zero exit value 1

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug 
option to get more log output. Run with --scan to get full insights.
==============================================================================

* Get more help at https://help.gradle.org

Deprecated Gradle features were used in this build, making it incompatible with 
Gradle 6.0.
Use '--warning-mode all' to show the individual deprecation warnings.
See 
https://docs.gradle.org/5.2.1/userguide/command_line_interface.html#sec:command_line_warnings

BUILD FAILED in 1m 42s
8 actionable tasks: 8 executed

Publishing build scan...
https://gradle.com/s/k5vjhdqjlqse2

Build step 'Invoke Gradle script' changed build result to FAILURE
Build step 'Invoke Gradle script' marked build as failure

---------------------------------------------------------------------
To unsubscribe, e-mail: builds-unsubscr...@beam.apache.org
For additional commands, e-mail: builds-h...@beam.apache.org

Reply via email to